<%@page	import="java.util.Arrays"%>
<%@page import="com.documentum.fc.client.IDfSysObject"%>
<%@page import="com.documentum.fc.client.IDfClient"%>
<%@page import="com.documentum.com.DfClientX"%>
<%@page import="com.documentum.com.IDfClientX"%>
<%@page import="com.documentum.fc.common.IDfId"%>
<%@page	import="com.generiscorp.dctm.api.*"%>
<%@include file="header.jsp"%>
<%
	// Get document extRefs
	String objectIds = request.getParameter("objectIds");
	Boolean renditionExists = true;
	String extRefs = "";
	if (objectIds != null)
	{
		String[]	documentsArray = objectIds.split(",");
		for(int i=0;i<documentsArray.length;i++)
		{
			IDfClientX clientX = new DfClientX();
            IDfId iDfId = (IDfId) clientX.getId(documentsArray[i]);
			IDfSysObject idfSysobject = (IDfSysObject) dfSession.getObject(iDfId);
			if (!DctmObjectUtils.existContent(idfSysobject, "pdf")) {
				renditionExists = false;
			}
			
        	documentsArray[i] = "&extref"+(i+1)+"="+documentsArray[i]+":GET:pdf";
			clientX = null;
			iDfId = null;
			idfSysobject = null;
		}
		extRefs = Arrays.toString(documentsArray).replace(" ","").replace("[","").replace("]","").replace(",","");
	}
%>
<html>
<head>
<script type="text/javascript"><jsp:include page="pleasereview.js" /></script>
<script type="text/javascript"><jsp:include page="js/jquery-1.11.1.min.js" /></script>
<link rel="stylesheet" href="css/styles.css" />
<style>
	#hiddeniframeform, #prpreload {
		display: none;
	}
	h2 {
		color: red;
    }
</style>
</head>
<body>
	<% if(renditionExists == true) { %>
		<div id="pleasereview-loading"><img src="../../images/loading.gif" alt="Loading - Please wait..."></div>

		<form target="prpreload" action="<%=prBaseUrlValue%>/Services/AJAXLogin.aspx?extsource=Documentum:<%=repository%>" method="post" id="hiddeniframeform">
			<input id="username" type="hidden" value="<%=dfUser.getUserLoginName()%>" name="username" />
			<input id="password" type="hidden" value="<%=dfSession.getLoginTicket()%>" name="password" />
			<input type="submit"/>
		</form>

		<script language="javascript" type="text/javascript">
			$(document).ready(function () {
				var iFrame = $('#prpreload');
				iFrame.on('load', function() { //binds the event
					openPRNewReview('<%=prBaseUrlValue%>','<%=repository%>','<%=extRefs%>');
				});
				
				$("#hiddeniframeform").submit();
			});
		</script>
		
		<iframe src="" id="prpreload" name="prpreload"></iframe>
	<% }
	else
	{ %>
		<div id="pleasereview-message">
			<h2>Cannot start review</h2>
			<p>One or more documents selected for review do not have a PDF rendition.</p>
			<p>Please only select documents for PDF review that have a PDF rendition.</p>
		</div>
	<% } %>
</body>
</html>
<%@include file="footer.jsp"%>
